problems with installing on Fedora 11

Discussion in 'General' started by iDen, Jul 6, 2009.

  1. iDen

    iDen New Member

    I've installed MyDNS, php, mysql, apache... no problems
    but problems with installing MyDnsConfig....
    it doesn't support Fedora 11

    error

    Code:
     php -q install.php
    
    
    --------------------------------------------------------------------------------
     __  __       _____  _   _  _____  _____             __ _
    |  \/  |     |  __ \| \ | |/ ____|/ ____|           / _(_)
    | \  / |_   _| |  | |  \| | (___ | |     ___  _ __ | |_ _  __ _
    | |\/| | | | | |  | | . ` |\___ \| |    / _ \| '_ \|  _| |/ _` |
    | |  | | |_| | |__| | |\  |____) | |___| (_) | | | | | | | (_| |
    |_|  |_|\__, |_____/|_| \_|_____/ \_____\___/|_| |_|_| |_|\__, |
             __/ |                                             __/ |
            |___/                                             |___/
    --------------------------------------------------------------------------------
    
    
    >> Initial configuration
    
    PHP Notice:  Undefined variable: distver in /tmp/mydnsconfig/install/lib/install.lib.php on line 135
    PHP Notice:  Undefined variable: distid in /tmp/mydnsconfig/install/lib/install.lib.php on line 135
    PHP Notice:  Undefined variable: distbaseid in /tmp/mydnsconfig/install/lib/install.lib.php on line 135
    
    And somewhere i saw something like "unrecognized" or "unsupported Distributive"

    When will it be released for Fedora 11 ?
     
  2. falko

    falko Super Moderator

    I guess soon, but there's no date yet.
     
  3. epdmcoatings

    epdmcoatings New Member

    I think there might be some problem with your processor, coz i have tried with the same function its supportive, you should update the installer.
     
  4. shiwebs

    shiwebs New Member

    I had a similar problem, or well - the exact same but on Debian Lenny.

    So what I did to get it to work was edit "lib/install.lib.php" and went through the function "get_distname()", copied out the variables for my operating system and inserted them right before the return.

    Code:
    ...
            $distname = 'Debian';
            $distver = 'Lenny/Sid';
            $distid = 'debian40';
            $distbaseid = 'debian';
            swriteln("Operating System: Debian Lenny/Sid or compatible\n");
            return array('name' => $distname, 'version' => $distver, 'id' => $distid, 'baseid' => $distbaseid);
    
    This solved the problem. A possible fix is to update the if-control so that the script can parse my version aswell; 5.0.3.

    Code:
    if(trim(file_get_contents('/etc/debian_version')) == '5.0' || trim(file_get_contents('/etc/debian_version')) == 'lenny/sid') {
    
    Into

    Code:
    if(trim(strstr(file_get_contents('/etc/debian_version')),'5.0') || trim(file_get_contents('/etc/debian_version')) == 'lenny/sid') {
    
    Or something..

    Best Regards,
    Timh/Shiwebs.
     
  5. Paperskin

    Paperskin New Member

    fedora 11 solution

    I figured I would post since the question was specifically for Fedora 11, and being a new user of both linux and fedora 11, I wanted to post my solution :D

    Following what shiwebs did..

    in install.lib.php I hit 'ctrl-f' to find Redhat and found the previous 2 installations of Fedora listed. After digging through I think this info is correct, so just copy and paste it in after the Fedora release 10 junk and it will work

    if(stristr($content,'Fedora release 11 (Leonidas)')) {
    $distname = 'Fedora';
    $distver = '11';
    $distid = 'fedora9';
    $distbaseid = 'fedora';
    swriteln("Operating System: Fedora 11 or compatible\n");
    }
     

Share This Page